@import "src/styles/size_constatns";
@import "src/styles/size_mixins";

@mixin smallSizeGrid {
  @include mobileView {
    grid-column: span 6;
  }
  @include _360 {
    grid-column: span 4;
  }
  @include _320 {
    grid-column: span 4;
  }
}
@mixin size_1 {
  grid-column: span 1;
}


@mixin size_2 {
  grid-column: span 2;

}

@mixin size-3 {
  grid-column: span 3;
}

@mixin size-4 {
  grid-column: span 4;
}

@mixin size-5 {
  grid-column: span 5;
  @include _360 {
    grid-column: span 4;
  }
  @include _320 {
    grid-column: span 4;
  }

}

@mixin size-6 {
  grid-column: span 6;
}

@mixin size-7 {
  grid-column: span 7;
  @include smallSizeGrid
}

@mixin size-8 {
  grid-column: span 8;
  @include smallSizeGrid
}

@mixin size-9 {
  grid-column: span 9;
  @include smallSizeGrid
}

@mixin size-10 {
  grid-column: span 10;
  @include smallSizeGrid
}

@mixin size-11 {
  grid-column: span 11;
  @include smallSizeGrid
}

@mixin size-12 {
  grid-column: span 12;
  @include smallSizeGrid
}
